# Interface InheritDocTree

All Superinterfaces:
  `DocTree, InlineTagTree`

public interface InheritDocTree extends InlineTagTree
A tree node for an `@inheritDoc` inline tag.

       {@inheritDoc}
       {@inheritDoc supertype}

API Note:
  There is no requirement that the comment containing the tag and the comment containing the inherited documentation should either be both Markdown comments or both traditional (not Markdown) comments.
Since:
  1.8

## Nested Class Summary

### Nested classes/interfaces declared in interface DocTree

`DocTree.Kind`
Modifier and Type
Interface
Description
`static enum`
`DocTree.Kind`
Enumerates all kinds of trees.

## Method Summary

Modifier and Type
Method
Description
`default ReferenceTree`
`getSupertype()`
Returns the reference to a superclass or superinterface from which to inherit documentation, or `null` if no reference was provided.

### Methods declared in interface DocTree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(DocTreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`DocTree.Kind`
`getKind()`
Returns the kind of this tree.

### Methods declared in interface InlineTagTree

`getTagName`
Modifier and Type
Method
Description
`String`
`getTagName()`
Returns the name of the tag.

## Method Details

### getSupertype

default ReferenceTree getSupertype()
Returns the reference to a superclass or superinterface from which to inherit documentation, or `null` if no reference was provided.

Implementation Requirements:
  this implementation returns `null`.
Returns:
  the reference to a superclass or superinterface from which to inherit documentation, or `null` if no reference was provided
Since:
  22